Parandus: .NET Framework 4.7 ei toetata see opsüsteem

Soovitage: Vajuta Siia, Et Määrata Windows Vigu Ja Optimeerida Süsteemi Jõudlust

.Net Framework on Microsofti poolt kasutusele võetud programmeerimise infrastruktuur. Erinevate erinevate rakenduste ja teenuste käitamiseks vajate .Net Frameworkit. Enamik .Net Framework'i vajavatest rakendustest on varustatud ka installifailidega. Niisiis, installitakse see rakenduse installimisel automaatselt teie süsteemi. Kuid rakenduse installimisel võite näha tõrke „.NET Framework 4.7 ei toetata selles opsüsteemis“. See tõrge takistab teil rakenduse edukat installimist. Seda viga näete, kui proovite .Net Framework'i iseseisva rakenduse / teenusena installida.

Selle tõrke põhjus on sama, mis tõrketeates mainitud. Isegi kui .Net Frameworkit toetatakse Windows 10-s, kuid see ei ühildu kõigi Windows 10 versioonidega. Kui näete seda teadet, on selle vea kõige tõenäolisem põhjus see, et kasutate Windows 10 versiooni, mis ei ühildu .Net Frameworkiga.

1. meetod: värskendage Windows 10

Ainus lahendus selle probleemi lahendamiseks on lihtsalt oma Windows 10 värskendamine. Soovitatav on kontrollida Windowsi värskenduste olemasolu ka siis, kui kasutate Windows 10 uusimat versiooni. Kuna probleemi põhjuseks on ühildumatu operatsioonisüsteem, installige kogu saadaolev Windows 10 värskendused lahendavad tõenäoliselt probleemi. Samuti saate oma Windows 10 täpset versiooni ja .Net Framework'i nõutavat versiooni kontrollida, järgides allpool toodud samme.

  1. Hoidke Windowsi klahvi all ja vajutage R
  2. Tippige winver ja vajutage sisestusklahvi

  1. Teie versiooni tuleks mainida äsja avatud aknas. Number pärast versiooni (teisel real) on teie versiooni number. Arv peaks olema 1507 või 1709. Esimesed 2 numbrit tähistavad aastat ja teine ​​2 tähistab kuud. Nii et kui teil on 1709 versioon, tähendab see, et teil on versioon, mis vabastati 2017. aasta septembris

  1. Nüüd peate veenduma, et teil on .Net Frameworkiga ühilduv Windows 10 versioon. Klõpsake siin ja klõpsake nuppu Nõuded süsteemile

Kui vaatate jaotist Toetatav opsüsteem, siis öeldakse, et see värskendab Windows 10 Anniversary Update ja Windows 10 Creators . Kuna paljud ei tunne juubeli ja loojate värskendustega seotud versiooninumbreid, oleme neid allpool maininud

  • Novembrikuu värskendus (1511)
  • Aastapäeva värskendus (14393)
  • Loojate värskendus (1703)
  • Sügise loojate värskendus (1709)
  • Kevade loojate värskendus (1803)

Nagu näete, on juubelivärskenduse versiooninumber 14393 ja loojate värskenduse versioon 1703. Seega, kui teie versioon on madalam kui 14393, ei saa te .Net Framework 4.7 Windows 10-le installida. Nüüd värskendage lihtsalt Windowsi ja veenduge, et teil oleks uusim Windows 10 versioon, ja proovige uuesti.

Huvitavad Artiklid